require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"
import "java.util.*"
import "android.app.DatePickerDialog"
import "java.util.Calendar"

local activity = activity
local textView

function onCreate(savedInstanceState)
    activity.setTitle("التقويم البسيط")

    local layout = LinearLayout(activity)
    layout.setOrientation(1)

    local button = Button(activity)
    button.setText("افتح التقويم")
    button.setOnClickListener{
        onClick = function(v)
            showDatePickerDialog()
        end
    }
    layout.addView(button)

    textView = TextView(activity)
    textView.setTextSize(16)
    layout.addView(textView)

    activity.setContentView(layout)
end

function showDatePickerDialog()
    local calendar = Calendar.getInstance()
    local year = calendar.get(Calendar.YEAR)
    local month = calendar.get(Calendar.MONTH)
    local day = calendar.get(Calendar.DAY_OF_MONTH)

    local datePickerDialog = DatePickerDialog(activity,
        luajava.createProxy("android.app.DatePickerDialog$OnDateSetListener", {
            onDateSet = function(view, year, monthOfYear, dayOfMonth)
                textView.setText(string.format("التاريخ المختار: %d-%02d-%02d", year, monthOfYear + 1, dayOfMonth))
            end
        }),
        year, month, day
    )
    datePickerDialog.show()
end